Subject: bug#23641: emacs-25.0.94 build feedback

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 May 2016 05:35:53 +0300

> Date: Sat, 28 May 2016 17:04:59 -0600
> From: "Nelson H. F. Beebe" <[email-masked]>
> Cc: [email-masked]
> 
> >> It could be gfilenotify. 
> 
> That was what I suspected too.
> 
> >> Try "--without-file-notification" or "--with-file-notification='kqueue'" configure options.
> 
> I had already tried
> 
> 	--with-file-notification=no
> and also
> 	--without-file-notification
> 
> without removing the -lgio examples
> 
> Here are examples freshly made during the writing of this reply:
> 
> 	./configure --without-file-notification && grep -e -lgio src/Makefile
> 	RSVG_LIBS= -L/usr/local/lib -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 \
> 		   -lgobject-2.0 -lglib-2.0 -lintl -lcairo -lpthread  
> 
> 	./configure --with-file-notification=kqueue && grep -e -lgio src/Makefile
> 	RSVG_LIBS= -L/usr/local/lib -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 \
> 		   -lgobject-2.0 -lglib-2.0 -lintl -lcairo -lpthread  
> 
> Here is what the configure summary looks like from the last of those:
> 
> ...
> 
> Configured for 'x86_64-unknown-freebsd11.0'.
> 
>   Where should the build process find the source code?    .
>   What compiler should emacs be built with?               gcc -std=gnu99  -I${prefix}/include
>   Should Emacs use the GNU version of malloc?             yes
>   Should Emacs use a relocating allocator for buffers?    no
>   Should Emacs use mmap(2) for buffer allocation?         yes
>   What window system should Emacs use?                    x11
>   What toolkit should Emacs use?                          LUCID
>   Where do we find X Windows header files?                Standard dirs
>   Where do we find X Windows libraries?                   Standard dirs
>   Does Emacs use -lXaw3d?                                 yes
>   Does Emacs use -lXpm?                                   yes
>   Does Emacs use -ljpeg?                                  yes
>   Does Emacs use -ltiff?                                  yes
>   Does Emacs use a gif library?                           yes -lgif
>   Does Emacs use a png library?                           yes -lpng16
>   Does Emacs use -lrsvg-2?                                yes
>   Does Emacs use cairo?                                   no
>   Does Emacs use imagemagick?                             yes
>   Does Emacs support sound?                               yes
>   Does Emacs use -lgpm?                                   no
>   Does Emacs use -ldbus?                                  yes
>   Does Emacs use -lgconf?                                 yes
>   Does Emacs use GSettings?                               no
>   Does Emacs use a file notification library?             yes (kqueue)
>   Does Emacs use access control lists?                    yes 
>   Does Emacs use -lselinux?                               no
>   Does Emacs use -lgnutls?                                yes
>   Does Emacs use -lxml2?                                  yes
>   Does Emacs use -lfreetype?                              yes
>   Does Emacs use -lm17n-flt?                              yes
>   Does Emacs use -lotf?                                   yes
>   Does Emacs use -lxft?                                   yes
>   Does Emacs directly use zlib?                           yes
>   Does Emacs have dynamic modules support?                no
>   Does Emacs use toolkit scroll bars?                     yes
>   Does Emacs support Xwidgets (requires gtk3)?            no

Looks like librsvg-2 is the one that pulls in libgio.  Did you try
using --with-rsvg=no ?